Data
GET https://beta2.socdo.com/api/data/
curl --request GET \
--url 'https://beta2.socdo.com/api/data/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://beta2.socdo.com/api/data/' \
--header 'Authorization: Bearer {api_key}' \
| Tham số | Chi tiết | Mô tả |
|---|---|---|
| type | Tùy chọn Chuỗi (String) | Trường bạn đang tìm kiếm. Các giá trị cho phép: email_collector , phone_collector , contact_collector. |
| order_by | Tùy chọn Chuỗi (String) | Trường để sắp xếp kết quả. Các giá trị cho phép: datum_id , datetime. |
| order_type | Tùy chọn Chuỗi (String) | Thứ tự sắp xếp kết quả. Các giá trị cho phép: ASC cho sắp xếp tăng dần và DESC cho sắp xếp giảm dần. |
| page | Tùy chọn Số nguyên (Integer) | Số trang bạn muốn lấy kết quả. Mặc định là 1. |
| results_per_page | Tùy chọn Số nguyên (Integer) | Số lượng kết quả bạn muốn trên mỗi trang. Các giá trị cho phép: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Mặc định là 25. |
{
"data": [
{
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "email@example.com",
"name": "John doe"
},
"datetime": "2026-10-13 16:21:03",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://beta2.socdo.com/api/data?page=1",
"last": "https://beta2.socdo.com/api/data?page=1",
"next": null,
"prev": null,
"self": "https://beta2.socdo.com/api/data?page=1"
}
}
GET https://beta2.socdo.com/api/data/{datum_id}
curl --request GET \
--url 'https://beta2.socdo.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://beta2.socdo.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "email@example.com",
"name": "John doe"
},
"datetime": "2026-10-13 16:21:03",
}
}
DELETE https://beta2.socdo.com/api/data/{datum_id}
curl --request DELETE \
--url 'https://beta2.socdo.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://beta2.socdo.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \